Create SSO connection
Creates a SSO connection and returns it with its server-assigned id and version.
Send the fields at the top level of the body. Don’t send id or version.num; version.change_description is required.
Authentication
JWT bearer token authentication. Include the Configuration API key in the Authorization header as ‘Bearer <token>’.
Request
Moveworks product this SSO configuration is for: my_moveworks or embedded_ai_assistant. Cannot be changed after creation.
Connector for your identity provider, such as Okta, Microsoft Entra ID or Ping. ID of an existing connector (GET /configurations/v1alpha1/platform/connectors).
Type of identifier used to match users at login: EMAIL_ADDR, ITSM_USER_ID or IDM_USER_ID.
Settings for logging in with OpenID Connect (OIDC).
Response
Moveworks product this SSO configuration is for: my_moveworks or embedded_ai_assistant. Cannot be changed after creation.
Connector for your identity provider, such as Okta, Microsoft Entra ID or Ping. ID of an existing connector (GET /configurations/v1alpha1/platform/connectors).
Type of identifier used to match users at login: EMAIL_ADDR, ITSM_USER_ID or IDM_USER_ID.
Settings for logging in with OpenID Connect (OIDC).